
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "pgl/pgl.h"

#include "pgl/PglStringSym.h"


bool StringSym::isA(const String &type) const {
	return ExpressionSym::isA(type) ||
		type == "String" || type == "string";
}

SynSym *StringSym::dupe(const String &type) const {
	if (isA(type))
		return new StringSym(theVal);
	return ExpressionSym::dupe(type);
}

ostream &StringSym::print(ostream &os, const String &) const {
	return os << '"' << theVal << '"';
}
