
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_HOT_SET_CLASS_H
#define PG_HOT_SET_CLASS_H

// the algorithm for computing next HotSet position
// and the storage for that postion
class HotSet {
	public:
		HotSet();

		void reset();

		int pos() const { return thePos; }
		void syncPos(int size, int wss);

		void pos(int aPos) { thePos = aPos; }

	protected:
		int thePos;
};

#endif
