
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef EPH_PORT_MGR_H
#define EPH_PORT_MGR_H

#include "runtime/PortMgr.h"

// ephemeral port manager; simply calls bind(0) to allocate a port
class EphPortMgr: public PortMgr {
	public:
		EphPortMgr(const NetAddr &anAddr);

	protected:
		virtual int allocPort(Socket &s);
		virtual void freePort(int port, bool good);
};

#endif
