
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_OBJECT_SELECTOR_H
#define PG_OBJECT_SELECTOR_H

#include "base/ObjId.h"

class RndGen;

// base class for various object selectors (e.g., PopModel)
class ObjSelector {
	public:
		virtual ~ObjSelector() {}

		// selects oid, adjusts for wss and hot set position
		virtual int choose(RndGen &rng, int lastOid, int wsCap, int hotSetPos, bool &hot) = 0;
};

#endif
