
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_XML_SEARCH_H
#define PG_XML_SEARCH_H

#include "xstd/String.h"

// searches for nodes and attributes in an XML-formatted text
// using XPath syntax (XPath support is rudimental though)
class XmlSearch {
	public:
		XmlSearch(const String &text);

		bool getInt(const String &path, int &n) const;
		bool getStr(const String &path, String &str) const;

	protected:
		const char *locate(const String &path, const char *&end) const;

	protected:
		String theText;
};

#endif
