
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "xparser/xparser.h"

#include "xparser/TokenSym.h"


TokenSym::TokenSym(const String &n, int anId): 
	SynSym("Token"), theSpell(n), theId(anId) {
}

ostream &TokenSym::print(ostream &os, const String &) const {
	return os << spelling();
}
